#include <iostream>
#include <string>
#include <vector>
#include <sstream>

using namespace std;

vector<string> split(string str, char delimiter) {
  vector<string> internal;
  stringstream ss(str); 
  string tok;
 
  while(getline(ss, tok, delimiter)) {
    internal.push_back(tok);
  }
 
  return internal;
}

int main()
{
  vector<int> prviNiz;
  vector<int> drugiNiz;
  string prviUnos;
  string drugiUnos;
  int drugiBroj;

 
   cout << "Unesi prvi niz ";
    getline(cin, prviUnos);
  vector<string> sep = split(prviUnos, ' ');
  for (int i=0; i< sep.size(); i++){
    prviNiz.push_back(stoi(sep[i]));
  }
  
  cout << "Unesi drugi niz ";
    getline(cin, drugiUnos);
  vector<string> sep2 = split(drugiUnos, ' ');
  for (int i=0; i< sep2.size(); i++){
    drugiNiz.push_back(stoi(sep2[i]));
  }
  
  

  cout << prviNiz.size() << "!\n";

  cout << drugiNiz[prviNiz[0]] << " " << drugiNiz[prviNiz[1]];
  
  
}